<?php
$sql = "SELECT Kontakt_ID, Admin_ID, Betreff, Text FROM " . PREFIX . "_Schrift WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
$result = $db->query($sql);
$nt = $result->fetch_assoc();
echo "<br />\n";

$sql = 'INSERT INTO ' . PREFIX . '_Schrift (Jahr, ID, Kontakt_ID, Admin_ID, Betreff, Text, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $nt['Kontakt_ID'] . '", "' . $nt['Admin_ID'] . '", "' . $nt['Betreff'] . '", "' . addslashes($nt['Text']) . '", CURDATE())';
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
}
$sql = 'SELECT last_insert_id() AS last';
$result = $db->query($sql);
$nt = $result->fetch_assoc();
$ID_New = $nt['last'];


?>
<fieldset>
	<legend>Brief wurde kopiert</legend>
	<form action="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" method="post">
		<input type="hidden" name="ID" value="<?php echo $Jahr . "_" . $ID_New; ?>"/>
		<input type="submit" class="button_edit" name="formaction" value="edit" title="Brief bearbeiten"/>
	</form>
</fieldset>